/*
 * This file is part of ofono-qt
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * Contact: Alexander Kanavin <alex.kanavin@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef OFONOPROPERTYSETTING_H
#define OFONOPROPERTYSETTING_H

//! How to handle getting the properties
enum OfonoGetPropertySetting {
    	OfonoGetAllOnStartup,	/*!< Get all properties synchronously on startup;
    				 * they would be immediately available. */
    	OfonoGetAllOnFirstRequest 	/*!< Do not get properties on startup;
    			     	 * get them in an asynhronous way when the first
    			     	 * property is requested. */
    };
    
#endif
